Commit 2c30048a authored by Kaarle Ritvanen's avatar Kaarle Ritvanen

update-kernel: help on usage

parent f9650395
...@@ -20,8 +20,30 @@ SIGNALS="HUP INT TERM" ...@@ -20,8 +20,30 @@ SIGNALS="HUP INT TERM"
TMPDIR= TMPDIR=
features= features=
OPTS=$(getopt -l build-dir:,flavor:,feature:,package: -n $SCRIPT -o b:f:F:p: \ error() {
-- "$@") echo "$SCRIPT: $1" >&2
}
usage() {
[ "$2" ] && error "$2"
local opts="[-F <feature>]... [-p <package>]..."
cat >&2 <<EOF
Syntax: $SCRIPT $opts [<dest_dir>]
$SCRIPT -f <flavor> $opts <dest_dir>
$SCRIPT -b <build_dir> $opts [<dest_dir>]
Options: -b|--build <build_dir> Install custom-built kernel
-f|--flavor <flavor> Install kernel of specified flavor
-F|--feature <feature> Enable initfs feature
-p|--package <package> Additional module or firmware package
EOF
exit $1
}
OPTS=$(getopt -l build-dir:,flavor:,feature:,help,package: -n $SCRIPT \
-o b:f:F:hp: -- "$@") || usage 1
eval set -- "$OPTS" eval set -- "$OPTS"
while :; do while :; do
case "$1" in case "$1" in
...@@ -34,6 +56,9 @@ while :; do ...@@ -34,6 +56,9 @@ while :; do
-F|--feature) -F|--feature)
features="$features $2" features="$features $2"
;; ;;
-h|--help)
usage 0
;;
-p|--package) -p|--package)
PACKAGES="$PACKAGES $2" PACKAGES="$PACKAGES $2"
;; ;;
...@@ -47,16 +72,12 @@ done ...@@ -47,16 +72,12 @@ done
DESTDIR=$2 DESTDIR=$2
error() {
echo "$1" >&2
exit 1
}
[ "$BUILDDIR" -a "$FLAVOR" ] && \ [ "$BUILDDIR" -a "$FLAVOR" ] && \
error "Cannot specify both build directory and flavor" usage 1 "Cannot specify both build directory and flavor"
if [ -z "$DESTDIR" ]; then if [ -z "$DESTDIR" ]; then
[ "$FLAVOR" ] && error "Cannot specify flavor when updating the current kernel" [ "$FLAVOR" ] && \
usage 1 "Cannot specify flavor when updating the current kernel"
while read MOUNT; do while read MOUNT; do
set -- $MOUNT set -- $MOUNT
...@@ -66,7 +87,10 @@ if [ -z "$DESTDIR" ]; then ...@@ -66,7 +87,10 @@ if [ -z "$DESTDIR" ]; then
break break
done < /proc/mounts done < /proc/mounts
[ "$MNTDIR" ] || error "Module loopback device not mounted" if [ -z "$MNTDIR" ]; then
error "Module loopback device not mounted"
exit 1
fi
fi fi
remount() { remount() {
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment